package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.dto.RegionInfoDTO;
import com.jpsoft.shinestar.modules.base.entity.RegionInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-12 16:17
 */
public interface RegionInfoService {

    RegionInfo get(String id);
    boolean exist(String id);
    int insert(RegionInfo model);
    int update(RegionInfo model);
    int delete(String id);
    List<RegionInfo> list();
    Page<RegionInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<RegionInfo> findByParentId(String parentId);

    List<RegionInfo> findTopRegion();

    List<RegionInfoDTO> findByType(String type);

    RegionInfo findByName(String name);
}
